Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.stockquote
Class LocaleMessage

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.example.stockquote.LocaleMessage

    public class LocaleMessage

extends MessageFactory

`LocaleMessage` is a convenience interface for retrieving internationalised strings from resource bundles. The actual work is done by the `MessageFactory` in core.

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`LocaleMessage()`

Method Summary
`protected ClassLoader` | `getClassLoader()` Override this method to return the classloader for the bundle/module which contains the needed resource files.
`static String` | `getStockQuoteMessage(String symbol, String name, String date, String last, String change, String open, String high, String low, String volume, String previousClose)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleMessage

    public LocaleMessage()

Method Detail

### getStockQuoteMessage

    public static String getStockQuoteMessage(String symbol,
                                              String name,
                                              String date,
                                              String last,
                                              String change,
                                              String open,
                                              String high,
                                              String low,
                                              String volume,
                                              String previousClose)

### getClassLoader

    protected ClassLoader getClassLoader()

  Description copied from class: `MessageFactory`
  Override this method to return the classloader for the bundle/module which contains the needed resource files.

  Overrides:
    `getClassLoader` in class `MessageFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.